Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.commons.fileupload
Class StreamingTest

    java.lang.Object
      junit.framework.Assert
          junit.framework.TestCase
              org.apache.commons.fileupload.StreamingTest

All Implemented Interfaces:
  junit.framework.Test

    public class StreamingTest

extends junit.framework.TestCase

Unit test for items with varying sizes.

Constructor Summary
`StreamingTest()`

Method Summary
`void` | `testFileUpload()` Tests a file upload with varying file sizes.
`void` | `testFILEUPLOAD135()` Test for FILEUPLOAD-135
`void` | `testFileUploadException()` Tests, whether an invalid request throws a proper exception.
`void` | `testIOException()` Tests, whether an IOException is properly delegated.

Methods inherited from class junit.framework.TestCase
`countTestCases, createResult, getName, run, run, runBare, runTest, setName, setUp, tearDown, toString`

Methods inherited from class junit.framework.Assert
`assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertFalse, assertFalse, assertNotNull, assertNotNull, assertNotSame, assertNotSame, assertNull, assertNull, assertSame, assertSame, assertTrue, assertTrue, fail, fail, failNotEquals, failNotSame, failSame`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### StreamingTest

    public StreamingTest()

Method Detail

### testFileUpload

    public void testFileUpload()
                        throws java.io.IOException,
                               org.apache.commons.fileupload.FileUploadException

  Tests a file upload with varying file sizes.

  Throws:
    `java.io.IOException`
    `org.apache.commons.fileupload.FileUploadException`

### testFileUploadException

    public void testFileUploadException()
                                 throws java.io.IOException,
                                        org.apache.commons.fileupload.FileUploadException

  Tests, whether an invalid request throws a proper exception.

  Throws:
    `java.io.IOException`
    `org.apache.commons.fileupload.FileUploadException`

### testIOException

    public void testIOException()
                         throws java.io.IOException

  Tests, whether an IOException is properly delegated.

  Throws:
    `java.io.IOException`

### testFILEUPLOAD135

    public void testFILEUPLOAD135()
                           throws java.io.IOException,
                                  org.apache.commons.fileupload.FileUploadException

  Test for FILEUPLOAD-135

  Throws:
    `java.io.IOException`
    `org.apache.commons.fileupload.FileUploadException`

Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright ? 2002-2008 The Apache Software Foundation. All Rights Reserved.